{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
  };
  outputs = { self, nixpkgs, ... }: {
    packages.x86_64-linux = let
      pkgs = import nixpkgs {
        system = "x86_64-linux";
      };
    in {
      solid-xmpp-alarm = pkgs.rustPlatform.buildRustPackage rec {
        pname = "solid-xmpp-alarm";
        version = "0.1.0";

        src = ./.;

        nativeBuildInputs = [
          pkgs.makeWrapper
        ];

        postInstall = ''
          wrapProgram "$out/bin/solid-xmpp-alarm" \
            --prefix PATH : "${pkgs.xmppc}/bin"
        '';

        cargoLock.lockFile = ./Cargo.lock;

      };
      default = self.packages.x86_64-linux.solid-xmpp-alarm;
    };

    apps.x86_64-linux = {
      solid-xmpp-alarm = {
        type = "app";
        program = self.packages.x86_64-linux.solid-xmpp-alarm + "/bin/solid-xmpp-alarm";
      };
      default = self.apps.x86_64-linux.solid-xmpp-alarm;
    };

    hydraJobs = {
      inherit (self)
        packages;
    };
  };
}

